<section class="main-container">
    <section class="action-btn">
       
        <app-logout-btn class="logout-btn"></app-logout-btn>
    </section>
    <section class="doctorList-container">
        <app-left-nav-bar></app-left-nav-bar>
        <div class="doctor-table mat-elevation-z8">
            <mat-table #table  [dataSource]="dataSource" class="table">
    
             <ng-container matColumnDef="name">
                <mat-header-cell *matHeaderCellDef> Name </mat-header-cell>
                <mat-cell *matCellDef="let element"> <span *ngFor="let nurse of element.from">{{nurse.name}}</span> </mat-cell>
            </ng-container>
    
            <ng-container matColumnDef="reason">
                <mat-header-cell *matHeaderCellDef> Reason </mat-header-cell>
                <mat-cell *matCellDef="let element"> {{element.reason}} </mat-cell>
            </ng-container>
         
             <ng-container matColumnDef="approve">
                 <mat-header-cell *matHeaderCellDef>approve</mat-header-cell>
                 <mat-cell *matCellDef="let element"> <button mat-icon-button class="iconbutton" (click)="approveRequest(element)">
                    <mat-icon>spellcheck</mat-icon>
                   </button> </mat-cell>
               </ng-container>
         
               <ng-container matColumnDef="reject">
                 <mat-header-cell *matHeaderCellDef>reject</mat-header-cell>
                 <mat-cell *matCellDef="let element"> <button mat-icon-button class="iconbutton" (click)="rejectRequest(element); approveRequest(element)">
                    <mat-icon>backspace</mat-icon>
                   </button></mat-cell>
               </ng-container>
             
               <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
               <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
             </mat-table>
             <mat-paginator #paginator
                          [pageSize]="5"
                          [pageSizeOptions]="[5, 10, 20]">
           </mat-paginator>
         </div>
    </section>
</section>